Subject: Re: bug#20875: 24.4; Error reported when setting font

From: Stefan Kangas <[email-masked]>
Date: Wed, 19 Aug 2020 13:15:45 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Adam Connor <[email-masked]> writes:
>
>> Emacs did NOT crash. However, I noticed I get
>>       emacs _gtk_style_cascade_set_parent: assertion 'parent->parent == NULL'
>> failedemacs set default font
>> if I set the font to Droid Sans Mono Regular (12 point) in the menu dialog.
>>
>> Doubt this helps but this is in stock debian 8.1 running in virtualbox.
>
> (I'm going through old Emacs bug reports that unfortunately got no
> response at the time.)
>
> I've seen similar warnings myself, but I wonder whether they are
> internal Gtk warnings that we can do something about or not?
>
> Does anybody know?

>From searching online for this error message, it seems like we might be
setting the parent twice somewhere:

https://mail.gnome.org/archives/gtk-app-devel-list/2000-September/msg00001.html

But grepping for "cascade_set_parent" in our src directory yields no
matches, not that I'm sure that helps much.

In any case, I tried setting the font to "Droid Sans" from the menu in a
GTK build, but I didn't see any warnings.  Is anyone still seing this?

Best regards,
Stefan Kangas